> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Banner

PUT https://api.bigcommerce.com/stores/{store_hash}/v2/banners/{id}
Content-Type: application/json

Updates a *Banner*.

**Read Only Fields**
* date_created
* id

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/content/marketing/banners/update-banner

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Marketing | modify | `store_v2_marketing` | | Marketing | read-only | `store_v2_marketing_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `id` (integer, required) — ID of the banner.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects a banner_Put.

- `content` (string, required) — Contains the banner content. Returned as a string and includes HTML formatting.
- `date_type` (enum, required) — This specifies whether the banner should be visible during a specific date range.
  - Allowed values: `always`, `custom`
- `location` (enum, required) — Location on the page.
  - Allowed values: `top`, `bottom`
- `name` (string, required) — Name of the banner.
- `page` (enum, required) — Page the Banner is located on.
  - Allowed values: `home_page`, `category_page`, `brand_page`, `search_page`
- `date_from` (string, optional) — If the datetype is set as 'custom’, this field specifies the date when the banner should become visible on the storefront.
- `date_to` (string, optional) — If the datetype is set as 'custom’, this field specifies the date when the banner should stop being visible on the storefront.
- `item_id` (string, optional) — If the banner is on a specific category or brand page, then the item_id will correspond the category or brand ID.
- `visible` (string, optional) — Integer value denoting whether or not the banner is visible on the storefront: 1 = visible; 0 = not visible

## Response

### 200

OK

- `content` (string, required) — Contains the banner content. Returned as a string and includes HTML formatting.
- `date_type` (enum, required) — This specifies whether the banner should be visible during a specific date range.
  - Allowed values: `always`, `custom`
- `location` (enum, required) — Location on the page.
  - Allowed values: `top`, `bottom`
- `name` (string, required) — Name of the banner.
- `page` (enum, required) — Page the Banner is located on.
  - Allowed values: `home_page`, `category_page`, `brand_page`, `search_page`
- `date_created` (string, optional) — Date the banner is created.
- `date_from` (string, optional) — If the datetype is set as 'custom’, this field specifies the date when the banner should become visible on the storefront.
- `date_to` (string, optional) — If the datetype is set as 'custom’, this field specifies the date when the banner should stop being visible on the storefront.
- `id` (integer, optional) — Id of the banner. This is a READ-ONLY field; do not set or modify its value in a POST or PUT request.
- `item_id` (string, optional) — If the banner is on a specific category or brand page, then the item_id will correspond the category or brand ID.
- `visible` (string, optional) — Integer value denoting whether or not the banner is visible on the storefront: 1 = visible; 0 = not visible

## Examples

**Request**

```json
{
  "content": "<p> Sale! Tuesday at 9am! </p>",
  "date_type": "always",
  "location": "top",
  "name": "Sale Banner",
  "page": "home_page"
}
```

**Response**

```json
{
  "content": "<p> Sale! Tuesday at 9am! </p>",
  "date_type": "always",
  "location": "top",
  "name": "Sale Banner",
  "page": "home_page",
  "date_created": "Tue, 13 Mar 2018 16:18:59 +0000",
  "date_from": "0",
  "date_to": "0",
  "id": 1,
  "item_id": "0",
  "visible": "1"
}
```

**SDK Code**

```python Response
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/banners/1"

payload = {
    "content": "<p> Sale! Tuesday at 9am! </p>",
    "date_type": "always",
    "location": "top",
    "name": "Sale Banner",
    "page": "home_page"
}
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Response
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/banners/1';
const options = {
  method: 'PUT',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"content":"<p> Sale! Tuesday at 9am! </p>","date_type":"always","location":"top","name":"Sale Banner","page":"home_page"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/banners/1"

	payload := strings.NewReader("{\n  \"content\": \"<p> Sale! Tuesday at 9am! </p>\",\n  \"date_type\": \"always\",\n  \"location\": \"top\",\n  \"name\": \"Sale Banner\",\n  \"page\": \"home_page\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/banners/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"content\": \"<p> Sale! Tuesday at 9am! </p>\",\n  \"date_type\": \"always\",\n  \"location\": \"top\",\n  \"name\": \"Sale Banner\",\n  \"page\": \"home_page\"\n}"

response = http.request(request)
puts response.read_body
```

```java Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v2/banners/1")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"content\": \"<p> Sale! Tuesday at 9am! </p>\",\n  \"date_type\": \"always\",\n  \"location\": \"top\",\n  \"name\": \"Sale Banner\",\n  \"page\": \"home_page\"\n}")
  .asString();
```

```php Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v2/banners/1', [
  'body' => '{
  "content": "<p> Sale! Tuesday at 9am! </p>",
  "date_type": "always",
  "location": "top",
  "name": "Sale Banner",
  "page": "home_page"
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Response
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/banners/1");
var request = new RestRequest(Method.PUT);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"content\": \"<p> Sale! Tuesday at 9am! </p>\",\n  \"date_type\": \"always\",\n  \"location\": \"top\",\n  \"name\": \"Sale Banner\",\n  \"page\": \"home_page\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Response
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "content": "<p> Sale! Tuesday at 9am! </p>",
  "date_type": "always",
  "location": "top",
  "name": "Sale Banner",
  "page": "home_page"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/banners/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```